AutoCAD Architecture 2010 - Readme

Installation
AutoCAD Architecture 2010 Readme
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

This Readme contains important information about AutoCAD Architecture 2010 that may not be included in the printed documentation or in Help.

This information is an addition to that which may be found in the AutoCAD 2010 portion of this document.

Topics in this section

  • Installation
  • Performance
  • Features
  • Compatibility with Previous Releases
  • Command Glossary
Please send us your comment about this page


AutoCAD Architecture 2010 - Installation

Performance
AutoCAD Architecture 2010 Readme >
Installation
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Installation and Configuration

NoteYou should close all running applications before installing AutoCAD Architecture 2010.

Installing AutoCAD Architecture 2010

  • Do not attempt to install the product by double clicking on the application's MSI file, as the software will not be installed properly. Instead, use the Setup executable.

Network

  • If AutoCAD Architecture 2010 is installed on a network that uses roaming profiles, while synchronizing the user data folder to the server you may get an error message similar to this one:

    "Offline Files: Unable to make '2010 AEC-Keynotes-Assemblies (Imperial).mdb' available offline on <\\servername\home\username\autodesk\my projects\sample project\>. Files of this type cannot be made available offline."

    This occurs because the Sample Project in My Documents contains a Microsoft Access database. The warning can be safely ignored.

Content

  • During the install configuration, when using content in shared folders with a mapped drive, you may receive the following error: 'Unable to establish a connection with the directory for menus'. To resolve this error, choose the Browse option to select that mapped drive location.

Add/Remove, Repair, Reinstall, Uninstall

Uninstalling AutoCAD Architecture 2010 or Content Packs

  • If the product is installed with Shared Configurable Folders on a machine running Vista that is bound to a different domain than the Shared location, the uninstall may halt when it tries to establish access to them. This error can be resolved by disabling the User Account Control. Please refer to Microsoft Help for directions on making this change.

Express Tools

  • After performing a reinstall of AutoCAD Architecture 2010, the Express Tools ribbon may not be visible. In this case, open the Customize User Interface editor, select the current workspace in Customizations in All Files, then select the Express Tools tab in Workspace Contents > Ribbon Tabs. Save and close the CUI editor. Selecting another tab on the ribbon will make the Express Tools tab visible again.


AutoCAD Architecture 2010 - Performance

Installation
Features
AutoCAD Architecture 2010 Readme >
Performance
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

General Hints

  • Turn off the Welcome Screen and the Partner Products InfoCenter balloon for Workspaces to reduce the time to launch AutoCAD Architecture. They can be turned on again in Options > System > Hidden Message Settings.

Rollover Tooltips

  • When AutoCAD Architecture is installed on a 64-bit operating system, the mouse cursor may hesitate and become "sticky" when hovering or rolling over detail components. This behavior can be eliminated by turning off the rollover tooltips for detail components:
    1. Type CUI at the command line.
    2. In the CUI dialog under "Customizations in All CUI Files," select Rollover Tooltips.
    3. In the Object Type List, select "Detail Components."
    4. Uncheck the three properties listed. (Type, Layer, and Component Information)
    5. Click Apply and OK to get out of the CUI dialog.
    6. Select to remove the object from the Object Type List in the task dialog when it is presented.
  • Rollover tooltips will still be available for Detail Components but they will only report AutoCAD entity information (e.g., Block Reference, Polyline, and Hatch.) To re-enable the Detail Component specific data, reverse the steps, edit the Object Type List, include Detail Components, and check the three properties listed.

Content Browser

  • Dragging and dropping a package from Content Browser to the Tool Palette will result in a lengthly delay when AutoCAD Architecture is installed on Windows Vista. This delay only occurs the first time the action is performed during a session.


AutoCAD Architecture 2010 - Features

Performance
Annotation
AutoCAD Architecture 2010 Readme >
Features
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Please refer to the following links for information about minor limitations in certain features in AutoCAD Architecture 2010

Topics in this section

  • Annotation
  • Dimensions
  • Drawing Management
  • Graphics and Object Display
  • IFC
  • Migration
  • Publishing
  • Spaces
  • Walls
  • User Interface
  • Miscellaneous


AutoCAD Architecture 2010 - Annotation

Features
Dimensions
AutoCAD Architecture 2010 Readme > Features >
Annotation
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Annotation Content

  • Updating legacy annotative content is outlined in the AutoCAD Architecture 2010 Help. Navigate in the AutoCAD Architecture User's Guide to Documentation > Annotation and Keynoting Tools > Annotation Scaling

    NOTE: To ensure proper scaling, set the current annotation scale to 1:1 prior to updating legacy annotative content.

Multi-View Blocks

  • The Block setting "Match orientation to layout" does not control annotation in Multi-View Blocks.


AutoCAD Architecture 2010 - Dimensions

Annotation
Drawing Management
AutoCAD Architecture 2010 Readme > Features >
Dimensions
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
  • Adding a height value to the text style changes the height of text within AEC Dimensions but not AutoCAD dimensions.
  • Using the Apply Component Override or Modify Component Override grip(s) while editing component dimension points within walls may add a new component dimension point instead of moving the existing component dimension point. If this occurs, remove the unwanted component dimension point by clicking the associated Remove Extension Line grip.
  • In files promoted from a previous release of AutoCAD Architecture, the dimension points at some wall intersections may change.


AutoCAD Architecture 2010 - Drawing Management

Dimensions
Graphics & Display
AutoCAD Architecture 2010 Readme > Features >
Drawing Management
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
  • AutoCAD Architecture 2010 installed on 64-bit Windows XP may crash while loading a project if the project bulletin board contains the <v:shapetype ..> node. To avoid this, edit the file and use the standard HTML image tag <img ..> instead.
  • When post linking views to sheets wait a few seconds before moving the mouse from the drawing editor to project navigator. Otherwise the post link may not complete.
  • Space objects in legacy drawings will not be promoted when the drawing is imported as a project sheet. The user must promote any dwg before attempting to import its layout as a sheet in a project.
  • The AUDITPROJECT command will fail to produce a valid audit report for a project whose contents, including all project standards drawings, are not fully promoted to the new file format.
  • Links to DWF files from within the Project Browser may not function properly on XP 64-bit or Vista 64-bit operating systems.
  • Invoking Properties in the project browser's browser window may result in an Internet Explorer script error if the user has Internet Explorer 6 installed. This will cause the application to become unresponsive, forcing the user to terminate AutoCAD Architecture. Users with Internet Explorer 6 should not right click and invoke properties in the Project Browser browser window. Users with Internet Explorer 7 (or newer versions of IE) will not experience this issue.


AutoCAD Architecture 2010 - Graphics and Object Display

Drawing Management
Migration
AutoCAD Architecture 2010 Readme > Features >
Graphics and Display
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
  • Visual Styles other than 3D Hidden may show Obscured Lines in AutoCAD Architecture 2010. This can be corrected by setting VSOBSCUREDEDGES to 0.
  • AutoCAD Architecture 2010 may crash after selecting a visual style or a named view from 3D orbit with the ribbon open. To avoid this, close the ribbon or exit 3D orbit mode first.

Controls

  • Make sure the ViewCube and SteeringWheel UI elements do not overlap, or the application may crash when the SteeringWheel control is clicked.
  • The application may crash if the mouse wheel is used to pan shortly after the SteeringWheel control is used to enter orbit mode. To reduce the likelihood of this happening, pan before entering orbit mode, or pan more slowly.

Spaces

  • The graphics for previewing a generated space may occasionally be incorrect for highly complex geometries. However, the space will still be generated correctly.

Style Manager

  • If AutoCAD Architecture 2010 is installed on a PC running 64-bit Windows Vista with an Nvidia graphics card, the style manager's embedded viewer may not update correctly after the style manager dialog is resized. However the viewer will be sized correctly after the style manager is dismissed and relaunched.


AutoCAD Architecture 2010 - Migration

Graphics and Display
Publishing
AutoCAD Architecture 2010 Readme > Features >
Migration
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
  • CUI migration is supported starting with Autodesk Architectural Desktop 2007 and Autodesk Building Systems 2007.
  • MNU and CUI migration from earlier releases (MNU - 2004, 2005 and CUI - 2006) can be accomplished from the CUI editor's transfer feature.
  • For product stability and usability of the current release, not all user-defined options are migrated (such as the assignment of the main customization and help files).
  • Icons from migrated toolbars and menus may not display correctly.
  • Log files generated by Migration report an incorrect restoration profile. The correct one is labeled (default).
  • During import migration, errors may be reported in the log for certain files (e.g. .shx, .acb and .atc). The errors may be due to their read-only status.


AutoCAD Architecture 2010 - Publishing

Migration
Spaces
AutoCAD Architecture 2010 Readme > Features >
Publishing
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
  • When using password protection while publishing AEC object Property Data Sets, use the DWF format; if DWFx is used, it will not be possible to select AEC objects in Autodesk Design Review. If password protection is not employed either DWF or DWFx may be used.
  • The Publish command available in the Application Menu menu (and at the commandline) will publish Sample Project sheets in color. To get the correct black and white output, use the Project Navigator's Publish to DWF, Publish to DWFx, or Publish to Plotter command instead. This behavior is not present in other projects.
  • The publish options dialog may not retain the correct value for the "AEC automatic properties" property. This dialog affects publishing operations invoked from the Application Menu "Publish" button.
  • To publish a DWF, DWFx, or PDF file with AEC automatic properties, the following alternatives are available:
    1. Publish the document using the Application Menu "Export" flyout, after configuring Export DWF/PDF options to include AEC automatic properties. Also note that publishing a document using the export flyout will result in the publish options assuming the same values as the export DWF/PDF options, so the normal publish workflow can be used thereafter as long as the options do not need to be changed again.
    2. If the document is a sheet that is part of a drawing management project, publish it from the sheet set view of project navigator after configuring Sheet Set Publish options to include AEC automatic properties.
  • Changing AEC property set options in Export cannot work on current exported drawing.
  • For consistent results, change the export options at Application Menu > Export > DWF/PDF Options before invoking Application Menu > Export > DWF | DWFx |PDF. Otherwise, the changes will not be reflected in the initial resultant output (however, subsequent export operations will use these values and produce the expected results). You can also export the DWG twice and ignore the initial output document.
  • While it is possible to create or edit a published properties list (PPL) file using the AEC DWF Publishing Options property of the Sheet Set Publish Options dialog, it will not be possible to add new property set definitions to this list from another drawing. Instead, create or edit the PPL file using the AEC DWF Publishing Options selection available in the Application Menu > Publish flyout; property set definitions from other drawings can be added to a PPL file when the dialog is invoked in this fashion.


AutoCAD Architecture 2010 - Spaces

Publishing
Walls
AutoCAD Architecture 2010 Readme > Features >
Spaces
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Generate Spaces

  • Spaces created with the Space Generate tool will be associative, whether or not the Associative property is set to No in the tool. The space can be set as non-associative after its creation via the Properties Palette.

Calculation Standard

  • The boundary offset for curtain walls will be generated according to the following rules:
    1. The net, usable and gross boundaries will be generated as one segment, offset to the base boundary of the curtain wall. In order to produce the correct offset results, the boundaries may need to be manually offset to the preferred location.
    2. The boundaries for net, usable and gross area may not be offset correctly for curtain walls which reference a base curve.
  • When spaces are generated using a calculation standard, the boundaries for usable and gross area may not be offset correctly for walls with sweeps. To resolve this, use the manual offset boundary type and manually edit the boundaries to the correct location.
  • SIS Standard: The usable offset boundary may fail to offset correctly when a column or mass element is located in the corner of a wall connection. To work around this issue, use the manual offset boundary type and manually edit the boundaries to the correct location.

Legacy datasets

  • When drawings from previous releases are opened, spaces may disappear or display a solution tip after the 'Automatically update associative spaces' setting is enabled in the Options dialog. This may happen for spaces that have been generated from colinear surfaces. To fix this, first select all the associative spaces in the drawing and update them using the command ‘Update Space Geometry,’ which is available on the Space contextual Ribbon. Then enable the 'Automatically update associative spaces' setting in the Options dialog.
  • Space objects in legacy drawings will not be promoted when the drawing is imported as a project sheet. The user must promote any dwg before attempting to import its layout as a sheet in a project.


AutoCAD Architecture 2010 - Walls

Spaces
User Interface
AutoCAD Architecture 2010 Readme > Features >
Walls
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Cleanups

  • A cleanup error can occur when a short wall segment lies within the cleanup radius of another wall. After reducing the cleanup radius, run "ObjRelUpdate" ( on the Ribbon this is accessible from View > Appearance > Regenerate ) to see updated cleanup results.

Cleanup Overrides

  • Wall cleanup edit in-place conditions in your drawing may require additional modification after certain AutoCAD edits, such as Copy, Move, or Rotate, and other edits that change the arrangement of the cleanup joint. In many cases the edited cleanup can be repaired by additional edit in-place of the wall components. If the repair fails you will need to remove the cleanup override using WallCleanupOverrideRemove.

Endcaps

  • Wall endcap linework may become visible when walls on different elevations cleanup at a corner. Disabling the wall's Below Cut Plane (or in some cases, the Above Cut Plane) display component visibility will remove these artifacts.


AutoCAD Architecture 2010 - User Interface

Walls
Miscellany
AutoCAD Architecture 2010 Readme > Features >
User Interface
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Profiles

  • Using the Options dialog to switch profiles may cause unwanted UI changes, such as the elimination of the Quick Access Toolbar. If this becomes a common issue, switch profiles by exiting the application and restarting it with the appropriate command or shortcut instead. The UI can be restored to its proper state by invoking the CUI command and setting one of the workspaces current.
  • Do not attempt to reset a profile that is set current, or the profile may become corrupted, causing the application to behave unexpectedly. To restore the profile to a usable state, set another profile current and reset the first profile again.

Quick Access Toolbar

  • The Quick Access Toolbar may fail to load correctly if AutoCAD Architecture 2010 is configured to use network licensing and the network is temporarily unavailable during application startup (forcing a second launch attempt.) The UI can be restored to its proper state by invoking the CUI command and setting one of the workspaces current.
  • Adding too many tools to the Quick Access Toolbar can cause the InfoCenter and window header to disappear. Removing tools from the QAT will eliminate this problem.

Ribbon

  • There is no Edit-In-Place contextual tab for a Mass Element Revolution. To enter and exit Edit-In-Place mode and to edit the Mass Element, use the context (right click) menu.
  • The Autodesk Seek panel may be missing from the ribbon. Depending on what profile is first run after install, you may fix this issue using the instructions below.
    1. If the AutoCAD profile is launched first after install: The Seek panels will appear in the AutoCAD Insert and Output tabs of the ribbon. When the AutoCAD Architecture profile is run, the Seek panel is missing from the Insert panel. To fix the AutoCAD Architecture profile:
      1. Type CUI
      2. Load the AutodeskSeek.cuix which is found at:
        • Default Vista location :

          C:\Users\Administrator\AppData\Roaming\Autodesk\ACA 2010\enu\Support\AutodeskSeek.cuix

        • Default XP location :

          C:\Documents and Settings\Administrator\Application Data\Autodesk\ACA 2010\enu\Support\AutodeskSeek.cuix

    2. If the AutoCAD Architecture profile is run first after install: The Seek panel will appear in the Insert tab of the ribbon. When the AutoCAD profile is run, the Seek panels will be missing from the Insert and Output tabs of the ribbon. To fix the AutoCAD profile:
      1. Type CUI
      2. Load the AutodeskSeek.cuix which is found at:
        • Default Vista location :

          C:\Users\Administrator\AppData\Roaming\Autodesk\ACA 2010\enu\Support\AutodeskSeek.cuix

        • Default XP location :

          C:\Documents and Settings\Administrator\Application Data\Autodesk\ACA 2010\enu\Support\AutodeskSeek.cuix


AutoCAD Architecture 2010 - Miscellany

User Interface
Compatibility with Previous Releases
AutoCAD Architecture 2010 Readme > Features >
Miscellany
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

ExportLayout

  • Export drawings to AutoCAD before attempting to invoke and use the ExportLayout command.

gbXML

  • Performing Export to gbXML from within a construct may cause error messages to display when the XML file is imported in Green Building Studio. To prevent error messages from displaying, open the construct as a drawing outside of Project Navigator before running Export to gbXML.
  • Tapered interior walls for non-associative adjacent spaces export to gbxml as exterior walls. To prevent this from happening, create the spaces so that the sides of the adjacent spaces are parallel to each other.

Help

  • When you use the Options > Display tab to disable the display of tooltips, pressing F1 on the ribbon may not yield the results you expect. If you place the cursor over a ribbon command, pressing F1 takes you to the top level of the online help file, not to a topic specific to the highlighted ribbon command. If you place the cursor over a command in a drop-down list, pressing F1 opens a help topic explaining how to activate the ribbon. Turning the display of tooltips back on restores the ability of F1 to display a topic specific to a highlighted command. However, when tooltips are turned on, you need to wait for “Press F1” to be displayed before it will work.
  • If the "Where Is My Command?" window has been left open, then Help is subsequently opened, the AutoCAD Architecture User's Guide topics will not be visible. Closing and re-opening the session will restore the missing Help topics.

IFC Export

  • IFC Export will export only the components of objects that are On in the Model Display Set. IFC Export does not use the current display when exporting the file. To verify the visibility of an object, open the Display Manager and browse Sets and Representations by Object.
  • Both wall and slab objects that have overlapping components will be exported without their named components. The components are combined into one called "Unnamed." The overall wall or slab geometry is maintained to the shrinkwrap or outline extents only.

Keynotes

  • Cells in a Sheet Keynote Legend containing sheet keynote blocks may become invalid after using the Block Editor or the Block command to change to one of the block definitions. To correct this problem, save and reopen the drawing.
  • Care must be exercised when updating keynote legends that exist in drawings created in previous releases. If the keynote database that was used to create the legend is not present when the legend is updated, all data in the legend will change to number signs (#). To repair this, load the previous release database in the AEC Content tab of the Options dialog, and then update the legend again. The keynotes will be restored.

Layers

  • Note that Layer State functionality replaced Architectural Desktop Layer Snapshots in AutoCAD Architecture 2008. To Prevent the Replacement of Layer Snapshots with Layer States, edit the Windows registry. Navigate to:

    • HKEY_CURRENT_USER\Software\Autodesk\AutoCAD\R18.0\ACAD-8004:409\Profiles\Current Profile\General\

    and create a new DWORD named BypassSnapshotConversion with a value of 1.

    Note: Always back up the registry before making any changes to it.

  • It is not possible to create a viewport override for the lineweight of a block set to ByLayer whose components are set to ByBlock.
  • Entities in xrefs that have components which use ByLayer linetypes may not display overridden linetypes per viewport.
  • After changing the attributes of a layer in the modeless layer manager (color, linetype, etc.) a regen may be required so that AEC entities will update properly.
  • Automatically generated Layer Descriptions will not be created, except when layers are created using the "New Layer from Standard" command in the Layer Properties Manager.
  • The commands LayerMerge and LayerDel should not be used for layers that have been assigned to display components of AEC Objects.

Object Viewer

  • On multi-monitor systems using Hardware Acceleration and different display settings, dialogs that include the Object Viewer should be kept on the primary display. This is to guard against various system errors that may otherwise occur.

Reference Edit

  • Do not use refedit to edit blocks containing property set overrides. Instead, use the block editor.

Schedules

  • When attempting to use CTRL-select to zoom to an object in a schedule table, the Selection Preview Cycling panel may display instead. Selecting "Don't show me this again" restores the Zoom functionality.
  • A table that includes blocks containing AEC Objects will lose them when Export to AutoCAD is run. Use a Schedule Table in this case, which will preserve the contained block information.
  • The application may become unstable if a drawing contains a PDF overlay schedule where one of the PDFs was scheduled as a multiple sheet PDF but was subsequently replaced by a single sheet PDF.
  • If a drawing or one of its xrefs contains a schedule table configured to schedule an external drawing, make sure that all referenced drawings have IMAGEFRAME set to the same value. Additionally, the external drawing referenced by the schedule table and all of that drawing's xrefs must use this same IMAGEFRAME value.

Visual Basic for Applications (VBA)

    See AutoCAD 2010 Readme > Installation, Configuration and Hardware > for information on installing VBA for AutoCAD Architecture 2010.

Other

  • The display of a '+' sign in front of Elevation Labels in Metric has been made consistent. This may mean that drawings which did not previously show this will have a slight change in appearance. If it is unwanted, remove the '+' sign by unchecking "Display '+' for Positive Values" on the AEC Dimension tab of Options.
  • Drawing Compare may incorrectly identify differences in Block References when comparing drawings that are saved in 2007 DWG format. In order to ensure accurate comparison results, it is recommended that all drawings be promoted to 2010 DWG format prior to being used in a drawing comparison.
  • There is a change in appearance of the stair path graphics for a stair terminated with a tread that have the Stair Line display property set to “Cut Plane - Parallel” or “Entire Stair”. In previous releases, the arrow would extend to the end of the stair. It now stops at the final riser, which is consistent with stairs that terminate with a riser or landing
  • Imported building components may be scaled incorrectly after the current profile is changed during an AutoCAD Architecture session. To avoid this problem, do not change the current profile prior to importing building components.
  • When using Vista, you may encounter instability within the Style Manager, or when launching worksheets from the Properties Palette. Running a repair install may correct this situation.


AutoCAD Architecture 2010 - Compatibility with Previous Releases

Miscellany
Command Glossary
AutoCAD Architecture 2010 Readme >
Compatibility with Previous Releases
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Data

  • Beginning with the 2008 release, AutoCAD Architecture uses greater precison when performing internal calculations. Thus there may be minor differences in reported values compared to earlier releases. This is as-designed, and data reported in the 2008 and later versions is more accurate.
  • A problem with calculating slab perimeters was fixed in AutoCAD Architecture 2008. As a result the values of certain automatic properties may change. The new results are correct.

Layers

  • To be able to Reference Edit drawings saved from AutoCAD Architecture 2010 in Architectural Desktop 2007, the variable LayerEval needs to be set to 0 in AutoCAD Architecture 2010. This is a per-drawing setting, and only applies to drawings saved from 2010 to 2007.

Spaces

  • It is not possible to use AutoCAD Architecture 2008 to refedit drawings containing space objects created in later versions of AutoCAD Architecture.
  • Openings on non-associative curved freeform spaces created in AutoCAD Architecture 2010 will not be displayed in AutoCAD Architecture 2009.
  • Openings added outside a surface area in AutoCAD Architecture 2008 will have different locations when opened in AutoCAD Architecture 2010.

Structural Members

  • Structural members now support two new properties: volume and length along baseline. Values for these properties will be displayed as "??" in AutoCAD Architecture 2008 and Architectural Desktop 2007.

MasterFormat 2004

  • Beginning with AutoCAD Architecture 2008, the US Detail Component and Keynote databases use the CSI MasterFormat 2004 standard. Using the Detail Component/Keynote Database Migration utility to migrate your database customizations from a database that uses the CSI MasterFormat 95 standard (as in Architectural Desktop 2007 and previous releases) is not supported. This migration utility will not properly migrate custom records from the older databases and may errantly overwrite records in the new databases with CSI MasterFormat 95 data. The Detail Component/Keynote Database Migration utility will promote databases that utilize the CSI MasterFormat 2004 standard from AutoCAD Architecture 2008 and 2009 to AutoCAD Architecture 2010.
  • The Detail Component/Keynote Database Migration utility can still be used to migrate records from one CSI MasterFormat 95 database to another. Note also that using the Database Migration utility to update an older database with data from the new CSI Masterformat 2004 database is not supported.
  • If you want to use a database from Architectural Desktop 2007 or previous releases with the current release of AutoCAD Architecture, you can load it as described under the Adding a Detail Component Database to Available Databases or the Adding a Keynote Database topics in Help. Note that the older database must be located with its corresponding content, maintaining the folder structure, to function properly. A previous-version details database will not function with the new 2010 US details content. Likewise, a previous-version keynote database will not function to automatically keynote 2010 US details content, but will only detail components inserted using previous-version details, or details in previous version drawings.

Issues with Previous Version Drawings (Prior to AutoCAD Architecture 2010)

  • For best results, it is recommended that legacy drawings be opened and saved in the 2010 format before attempting to combine them (through Block Insert or Xref) with 2010 format drawings.
  • Drawings that were last saved in Architectural Desktop 2007 and earlier versions, and that include slabs or roof slabs with boolean additions will need to have the appropriate shrink wrap component turned on in order to display the full volume of the object. Slabs that contain boolean operations will be converted to interference conditions with additive interferences being applied to the slab's shrink wrap body display component. By default, slab and roof slabs in AutoCAD Architecture 2010 have the model shrink wrap body display component turned off, so this option will need to be turned on in order to see additive interferences from legacy slabs.
  • When legacy drawings are opened, a dialog will be displayed with a warning that saving the drawing will upgrade AEC objects to 2010 format. If a legacy drawings is opened by double-clicking the file in Windows Explorer this dialog may be hidden behind the drawing, making AutoCAD Architecture 2010 appear to have frozen; clicking anywhere on the application will make the dialog come to the foreground.
  • Project Standards in AutoCAD Architecture 2010 will not operate when either the standards drawings or project drawings have not been promoted to the 2010 format. When a project is promoted from a previous version to the current drawing and project formats, Projects Standards automatically assigns new versions to many objects. Consequently, it will be necessary to synchronize the project again. Prior to this action, the standards drawings should be opened, and new version comment should be added through either Style Manager or Display Manager.

    If an entire project remains unpromoted, the Analyzing Project Drawings dialog will appear blank with an empty progress meter. This condition will clear once the entire project has been processed.

Promoting a Project for AutoCAD Architecture 2010

  • The promotion of previous version drawings to 2010 format can be automated through the use of the following process, which starts with the creation of a batch (bat) file. Running the batch file makes a complete copy of the project (or folder that contains previous version drawings), then recursively searches for all dwg, dwt and dws files contained in this location and finally generates a script (scr) file. Running the script file results in each of the copied dwg and dwt files being opened, saved and closed, which results in these files being promoted to 2010 format. If any dws files are contained in the designated folder, their paths are displayed. These files will need to be manually opened and saved in 2010 format.

  • NOTE: Use this process at your own risk. It is recommended that all files be backed up prior to running the batch and script files. If you have copied a project to a new location, be sure to repath the project with the original version of AutoCAD Architecture/Architectural Desktop prior to running the promote programs.
    1. Start a session of Microsoft Notepad.
    2. Copy the text that resides between the two dashed lines (see below) and paste it into Microsoft Notepad.
    3. Save the resultant file as promote.bat and close Microsoft Notepad.
    4. From a DOS prompt, run the promote.bat file using the following syntax:

        5. promote.bat [projectName] [projectLocation] [scriptName] [promotionTarget]

        Replace [projectName] with the name of the parent folder that contains the drawings to be promoted.

        Replace [projectLocation] with the path to the parent folder that was entered as [projectName].

        Replace [scriptName] with the desired name of the script that will be generated. The root of the file name can be customized but the file extension must always be .scr.

        Replace [promotionTarget] with a path and folder name for the location where the drawings to be promoted will be copied.

      NOTE: Arguments containing spaces must be enclosed in quotes. For example: "C:\My Documents\Autodesk\My Projects\Stadium Project".

      As an example, if you had previous version drawings stored in a R:\CAD_Files\Projects\2006\Hospital folder and wanted the promoted version of these files to be created in a R:\CAD_Files\Projects\2009\Hospital folder, the following would be the appropriate syntax to use:

      promote.bat Hospital R:\CAD_Files\Projects\2006\ promote.scr R:\CAD_Files\Projects\2009

    When this process is complete, a script file with the specified name is generated in the same folder as the promote.bat file. Running this script file will automatically promote each of the copied drawings that reside in the [promotionTarget] location to 2010 format. During the use of this script, please note that if any dialogs are displayed when a previous version drawing is opened, the script will terminate. If this problem is encountered, edit the script file and remove all references up to the last previous version drawing that was successfully promoted. Next, identify the reason why the unexpected dialog was displayed and take the necessary steps to eliminate the display of this dialog. Then run the modified script file and the remainder of the copied drawings should be promoted to 2010 format. If the script halts frequently due to unexpected dialogs, run the AecFileOpenMessage command and change the current value to No, which may help to eliminate this problem. Be sure to restore the original AecFileOpenMessage value after the promotion process is complete.

    ----------------------------------------------------------------------------------------------------------------------
    @echo off
    SETLOCAL

    @rem promote.bat
    @rem This script promotes a project to the current DWG format.

    :Greeting
    echo.
    echo This script promotes a project to the current DWG format.
    echo For best results, please run this script using administrator privileges on Windows Vista systems.
    echo.
    PAUSE

    :checkCmdArgs
    if [%4] EQU [] goto :badArgCount
    if [%3] EQU [] goto :badArgCount
    if [%2] EQU [] goto :badArgCount
    if [%1] EQU [] goto :badArgCount
    if [%5] NEQ [] goto :badArgCount
    set prjName=%1
    set prjDir=%2
    set scrName=%3
    set targetDir=%4
    goto :checkProject

    :getProject
    set /P prjName="What is the name of the project?: "
    set /P prjDir="Where can it be found?: "
    goto :checkProject

    :checkProject
    set prjNameEsc=%prjName:&=^&%
    set firstChar=%prjName:~0,1%
    if ^%firstChar% EQU ^" set prjName=%prjNameEsc:~1,-1%
    set prjNameDisplay=%prjName:&=^^^&%

    set prjDirEsc=%prjDir:&=^&%
    set firstChar=%prjDir:~0,1%
    if ^%firstChar% EQU ^" set prjDir=%prjDirEsc:~1,-1%
    set prjDirDisplay=%prjDir:&=^^^&%
    set project="%prjDir%\%prjName%"

    if not exist %project% goto :noProject
    if not defined scrName (goto :getScript) else (goto :checkScript)

    :getScript
    set /P scrName="Specify a name for the ACAD script: "
    goto :checkScript

    :checkScript
    set scrNameEsc=%scrName:&=^&%
    set firstChar=%scrName:~0,1%
    if ^%firstChar% EQU ^" set scrName=%scrNameEsc:~1,-1%
    set scrExt=%scrName:~-4%
    if /I "%scrExt%" NEQ ".scr" set scrName=%scrName%.scr
    set scrNameDisplay=%scrName:&=^^^&%
    if exist "%scrName%" goto :scrFound
    if not defined targetDir (goto :getTarget) else (goto :checkTarget)

    :getTarget
    set /P targetDir="Specify a directory to host the promoted project: "
    goto :checkTarget

    :checkTarget
    set targetDirEsc=%targetDir:&=^&%
    set firstChar=%targetDir:~0,1%
    if ^%firstChar% EQU ^" set targetDir=%targetDirEsc:~1,-1%
    set targetDirDisplay=%targetDir:&=^^^&%
    set prjDest="%targetDir%\%prjName%"
    if not exist "%targetDir%" (
    md "%targetDir%"
    echo.
    echo Created target directory %targetDirDisplay%
    goto :copyProject
    ) else (
    if exist %prjDest% (goto :targetFound) else (goto :copyProject)
    )

    ENDLOCAL
    exit /B

    :badArgCount
    echo.
    echo This utility can be run as a single command with the following syntax:
    echo.
    echo promote.bat [projectName] [projectLocation] [scriptName] [promotionTarget].
    echo.
    goto :getProject

    :noProject
    echo.
    echo You have specified a project %prjNameDisplay% in the directory %prjDirDisplay%.
    echo This could not be found. Please try again.
    echo.
    goto :getProject

    :badScrExt
    echo.
    echo Your Autocad script must have the extension ".scr" and you specified %scrNameDisplay%.
    echo Please try again.
    echo.
    goto :getScript

    :scrFound
    echo.
    echo An Autocad script with the name %scrNameDisplay% is already present in the working directory.
    echo Delete this script or specify a different script name.
    echo.
    goto :getScript

    :targetFound
    echo.
    echo A project with name %prjNameDisplay% was found in the target area %targetDirDisplay%.
    echo Delete this project or specify another target area.
    echo.
    goto :getTarget

    :copyProject
    echo.
    CLS
    echo Copying project %prjNameDisplay%...
    xcopy %project% %prjDest% /E /I /Q /H
    attrib -A -R %prjDest% /D /S
    echo Copied project %prjNameDisplay% to %prjDest%.
    echo.
    goto :genScript

    :genScript
    echo.
    set count=0
    @for /R %prjDest% %%i in (*.dwg) do (
    set /a count+=1
    echo _open "%%i">>"%scrName%"
    echo _qsave>>"%scrName%"
    echo _close>>"%scrName%"
    )
    echo Found %count% DWG files to be updated in the project %prjNameDisplay%.
    set /a totalFiles=%count%
    set count=0
    @for /R %prjDest% %%i in (*.dwt) do (
    set /a count+=1
    echo _open "%%i">>"%scrName%"
    echo _qsave>>"%scrName%"
    echo _close>>"%scrName%"
    )
    echo Found %count% DWT files to be updated in the project %prjNameDisplay%.
    echo.
    set /a totalFiles=%totalFiles%+%count%
    if %totalFiles% == 0 (
    echo.
    echo No DWG or DWT files were found in the project %prjName%!
    echo There is nothing to promote.
    echo.
    echo Deleting the copy of %prjName% from %targetDir%.
    echo The directory %targetDir% has been retained in case other folders or files are present.
    echo.
    RMDIR /Q/S %prjDest%
    ) else (
    echo.
    echo TO COMPLETE THE PROMOTION:
    echo.
    echo [1] Start ADT and make sure that a project is NOT currently active.
    echo [2] Disable the previous version courtesy dialog using the AecFileOpenMessage command.
    echo [3] Verify that the copy of the project located at %targetDirDisplay% has the same
    echo file count as the original copy located at %prjDirDisplay%.
    echo [4] Run the script %scrNameDisplay%.
    @for /R %prjDest% %%i in (*.dws) do (
    set /a foundDWS=1
    goto :break
    )
    :break
    if DEFINED foundDWS (
    echo [5] Resave the following DWS file^(s^), making sure to preserve filenames.
    echo ^(These cannot be promoted via a script as DWT and DWG files can.^)
    echo.
    @for /R %prjDest% %%i in (*.dws) do (
    echo %%i
    )
    )
    echo.
    echo.
    echo The project %prjNameDisplay% located in %targetDirDisplay% will then be promoted
    echo to the current file format.
    echo.
    echo After this process is complete you may use this project
    echo where it currently resides, or replace the old one with this new copy.
    echo.
    )
    ENDLOCAL
    exit /B
    ----------------------------------------------------------------------------------------------------------------------


AutoCAD Architecture 2010 - Command Glossary

Compatibility with Previous Releases
AutoCAD Architecture 2010 Readme >
Command Glossary
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

New Commands

Help

AecInterfaceOverview

Opens the AutoCAD Architecture User Interface Overview dialog.

AecWhereIsMyCommand

Opens the AutoCAD Architecture Where Is My Command? dialog.

IFC

-AecIfcExport

Supports command line execution of IfcExport.

-AecIfcImport

Supports command line execution of IfcImport.

Import/Export

ExportToAutoCAD2010

Exports drawings to AutoCAD 2010 DWG format.

ExportToAutoCAD2010Dxf

Exports drawings to AutoCAD 2010 DXF format.

Interoperability

ImportBuildingComponent

Imports a building component published by another application as an MVBlock or Block.

Spaces

SpaceSeparator

Inserts a divider to split the selected space.

Walls

InplaceEditZoomTo

Zooms to the extent of walls participating in current wall edit in-place session.

WallCleanupEdit

Invokes wall cleanup edit in-place session.

WallCleanupOverrideRemove

Removes a single user-selected wall cleanup override from the drawing.

WallCleanupOverrideRemoveAll

Removes all wall cleanup overrides from the drawing.

WallPriorityOverrides

Opens a dialog for managing priority overrides for a Wall's components.

Commands with Expanded Functionality

The following commands now work in Wall Cleanup editing:

InPlaceEditDiscard

Ends wall cleanup edit in-place session without saving changes.

InPlaceEditSaveAll

Saves and exits wall cleanup edit in-place session.

InPlaceEditAddVertex

Allows vertex points to be added to a wall component.

InPlaceEditRemoveVertex

Allows removal of vertex points from a wall component.

InPlaceEditShowEdge

Allows hidden edges of a wall component to be displayed.

InPlaceEditHideEdge

Allows edges of a wall component to be hidden.

LineworkMerge

Allows merging of linework or user defined rectangle with a wall component.

LineworkSubtract

Allows subtraction of linework or user defined rectangle from a wall component.

LineworkTrim

Allows trimming of wall component(s).

LineworkExtend

Allows extension of wall component(s).

Changed Commands

The command AecStyleManager is now StyleManager in AutoCAD Architecture 2010
The command LayerPalette is now AecLayerManagerModeless in AutoCAD Architecture 2010

Deprecated Commands

AecArea

AreaAdd, -AreaAdd

AreaAddSelected

AreaAttach

AreaConvert, -AreaConvert

AreaCreatePline

AreaDetach

AreaDetect, -AreaDetect

AreaDivide

AreaEvaluation

AreaGroup

AreaGroupAdd, -AreaGroupAdd

AreaGroupAddSelected

AreaGroupAttach

AreaGroupCreatePline

AreaGroupDetach

AreaGroupLayout

AreaGroupProps

AreaGroupStyle, -AreaGroupStyle

AreaGroupStyleEdit

AreaOpIntersect

AreaOpJoin

AreaOpSubtract

AreaProps

AreaRemoveRing

AreaReverseProfile

AreaReverseRing

AreaStyle, -AreaStyle

AreaStyleEdit

AreaToolToAutoDetection

AreaToolToLinework

AreaTrim

AreaVertexModify

GroupCreateFromTemplate, -GroupCreateFromTemplate

GroupTemplate, -GroupTemplate

NameDef, -NameDef

PostDxfinFix

ProjectNavigatorOnce

RailingCleanup

SetXrefConfig

AECGETTINGSTARTEDGUIDE


AutoCAD 2010 Readme

Installation, Configuration and Hardware
AutoCAD 2010 Readme
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

This Readme contains important information about AutoCAD that may not be included in the printed documentation or in Help.

Topics in this section

  • Installation, Configuration and Hardware
  • Join the Customer Involvement Program

    You are invited to participate in helping guide the direction of Autodesk design software.

  • General Information
  • Graphics Card Driver Update
  • Draw and Edit
  • User Interface
  • Command and System Variable History
  • System Requirements
  • Product Removal
  • Trademarks


Installation, Configuration and Hardware

AutoCAD 2010 Readme
AutoCAD 2010 Readme
Join the Customer Involvement Program
AutoCAD 2010 Readme >
Installation, Configuration and Hardware
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Installation and Configuration

NoteYou should close all running applications before installing AutoCAD 2010.

Installing from Dual CD/DVD ROM Drive Systems

Installation fails if you attempt to install AutoCAD 2010 by using different drives of a dual CD/DVD ROM drive system. You must use the same disc drive in order to complete the installation process.

Visual Basic for Applications (VBA)

Microsoft VBA is now made available for free download via our website at http://www.autodesk.com/vba-download. Autodesk has begun the transition from VBA technology to VSTA and .NET support. This transition will occur over several years. During this time, Autodesk will provide documentation and other assistance to help our customers and developers migrate from VBA to this new automation technology. We will continue to fully support VBA in our products, including AutoCAD 2010 and all AutoCAD 2010-based industry products. Through this free download, once VBA is installed, your existing VBA-based applications should run as in previous versions of AutoCAD.

To install the AutoCAD 2010 VBA module, download its 32-bit or 64-bit version depending on your operating system at http://www.autodesk.com/vba-download.

For 32-bit
AutoCAD2010VbaEnabler32.exe
For 64-bit
AutoCAD2010VbaEnabler64.exe
  1. Close all programs.
  2. In Windows Explorer, double-click the downloaded self-extracting EXE file.
  3. Unzip the file to the location of your choice, or use the default location.
  4. Follow the on-screen instructions.

HTML Help Fails When Launched from a Network Drive

You cannot launch the Help System from a network drive. A "Page Cannot Be Displayed" warning is displayed. This limitation is a result of the Windows Security Update #896258 from Microsoft.

DirectX Installation Using SCCM Fails

DirectX installations using Microsoft System Center Configuration Manager 2007 fail on systems running Microsoft Windows XP for 32- and 64-bit. Before installing with SCCM, download and install DirectX 2008 from your AutoCAD 2010 installation disc in one of the following directories, depending on your processor:

  • <MediaRoot>\x86\support\DirectX
  • <MediaRoot>\x64\support\DirectX

VC++ Runtime Installation using SCCM Forces Reboot

VC++ runtime installations using SCCM 2007 fail on systems running Microsoft Windows XP. Before installing with SCCM, download and install VC++ 2008 SP1 runtime from your AutoCAD 2010 installation disc in one of the following directories, depending on your processor:

  • <MediaRoot>\x86\support\VCRedist\2008\x86
  • <MediaRoot>\x64\support\VCRedist\2008\x64

REMEMBERFOLDERS System Variable

The Help topic for the REMEMBERFOLDERS system variable is inaccurate. The correct information is as follows.

Type: Integer

Saved In: Registry

Initial Value: 1

Controls the default path for the Look In or Save In option in standard file selection dialog boxes.

0 | Restores the behavior of AutoCAD 2000 and previous releases. When you start AutoCAD by double-clicking an icon, if a Start In path is specified for the icon, then that path is used as the default for all standard file selection dialog boxes.
1 | Specifies that the default path in each standard file selection dialog box is the last path used in that dialog box. The Start In folder specified for the AutoCAD icon is not used.

Use Group Policies to Install a Deployment

The Help topic Use Group Policies to Install a Deployment is missing information. The correct information is as follows.

With group policies, you can advertize a program by assigning a deployment to users’ computers.

In order for AutoCAD to run properly, the following software must be installed on the computer where the program is being installed:

  • Microsoft .NET 3.5 SP1 (available on the product disc)
  • Microsoft Internet Explorer version 6.0 SP1 or later (To download Microsoft Internet Explorer, visit www.microsoft.com)
  • Microsoft Installer Package (MSI) 4.5
  • Microsoft Windows Media Format 9.5 (prerequisite for 64-bit)
  • Macromedia Flash Player 9.0 or later (not installed by default)
  • Autodesk Design Review 2010 (not installed by default)
  • VC++ 2008 SP1 and VC++ 2005 SP1 runtimes for x86 operating systems; VC++ 2008 SP1 and VC++ 2005 SP1 runtimes for x64 operating systems (available on the product disc)
  • Microsoft National Language Support Downlevel APIs (available on the product disc)

Custom Folder in Deployments May Crash AutoCAD

The new AutoCAD 2010 Deployment Wizard - Select Installation Folder for Support Content dialog box allows you to specify a custom folder in which to copy support content.

In this dialog box, if you specify a folder location that permits Read Only permissions at the user level according to the Microsoft Vista User Acces Control, then AutoCAD may crash. To avoid this, ensure that you have write permission on your Microsoft Vista machine when creating your deployment with the Custom Folder option.

Single Shared Folder Option for Deployment Images

When using the Single Shared Folder option to create a deployment image, specify a folder name to avoid creating an invalid deployment image. Do not leave the folder name as “<Shared folder path>”.

Licensing

To Activate A Network License Through Autodesk.com

If your product does not include the Network License Activation Utility, you can activate your license by going to http://www.autodesk.com/register and following the on-screen instructions.

Running a Network License Manager on Microsoft Windows Vista

When starting the network version of AutoCAD 2010 on a Microsoft Windows Vista workstation, you may encounter licensing error -15 if the license manager is running on Windows Vista (FLEXlm server version 11.4.100). Do the following:

  • Install the latest service pack and updates for Microsoft Windows Vista.

If you continue to encounter errors, do the following:

  • On the Start menu (Windows Vista), click Control Panel [image] Network and Sharing Center [image] Manage Network Connections. Right-click Local Area Connection. Click Properties. Clear the check mark from Internet Protocol 6 (TCP/IPv6). Click OK.

FlexLM License is Created in Two Locations

The FLEXlm License Finder dialog box may not display when AutoCAD 2010 is launched for non-administrative users who are using Windows Vista 64-bit. The license server path information is stored in the HLKM\STOFTWARE\Wow6432Node path, which is not accessible to non-administrative users.

To fix this problem, replicate the license server path information stored in the above path to go to the HKLM\software\FLEXlm License Manager path.

Hardware

Graphics Card Driver Update

For the best program performance, verify and update your graphics card driver. For more information, see Graphics Card Driver Update.

Remote Access Applications

It is not recommended that you use any type of remote access application in conjunction with AutoCAD 2010 when it is configured to use hardware acceleration. Most remote access applications cannot support hardware acceleration, which can cause general display failure and instability. If you need to use remote access applications, disable hardware acceleration or use the /NOHARDWARE command line switch to start AutoCAD 2010 in Software mode.

Hardware Certification Database

To download and install the latest hardware certification XML file, visit the Hardware Certification website.


Join the Customer Involvement Program

Installation, Configuration and Hardware
AutoCAD 2010 Readme
General Information
AutoCAD 2010 Readme >
Join the Customer Involvement Program
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

You are invited to participate in helping guide the direction of Autodesk design software.

If you participate in the Customer Involvement Program, specific information about how you use AutoCAD is forwarded to Autodesk. This information includes what features you use the most, problems that you encounter, and other information helpful to the future direction of the product.

See the following links for more information.

  • Learn more about the Autodesk Customer Involvement Program: http://www.autodesk.com/cip

  • Read the Autodesk Privacy Statement: http://www.autodesk.com/cipprivacy

To turn the CIP on or off

  1. On the InfoCenter toolbar, to the right of the Help button, click the drop-down arrow.
  2. Click Customer Involvement Program.
  3. In the Customer Involvement Program dialog box, select a level of participation.
  4. Click OK.


General Information

Join the Customer Involvement Program
AutoCAD 2010 Readme
Graphics Card Driver Update
AutoCAD 2010 Readme >
General Information
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Command Versioning

Starting with AutoCAD 2009, command versioning was introduced with the Action Recorder. Command versioning allows AutoCAD to track which command iteration should be used when executing an action macro, script file, or CUI command macro. As a result of this change, some commands may require the use of the ^R control sequence in the CUI command macro.

The ^R control sequence forces AutoCAD to use the newest version of the command. When the ^R control sequence is not used, the oldest version of the command is used.

For example, a CUI command macro using the FILLET command would require the use of the ^R control sequence to ensure that the macro worked in the same way as AutoCAD 2008 and prior releases. The following is an example of a CUI command macro using the ^R control sequence:

^C^C^R_fillet;u; r;0.1;

Some of the commonly used commands with CUI command macros that are affected by command version are:

  • CHAMFER
  • COLOR
  • EXPLODE
  • FILLET
  • LAYOUT
  • LENGTHEN
  • TRIM

If you are using AutoLISP, you can control which version of a command is used by preceeding the Command function with the InitCommandVersion function. The syntax for the InitCommandVersion function is as follows:

(InitCommandVersion <version_number>)

Where version_number controls which version of the command should be used for the preceeding command being exectuted by the Command function.

Configure a Database to Use With AutoCAD Drawings (dbConnect)

AutoCAD 2010 for 64-bit does not support Microsoft Jet 4.0 OLE DB Provider (for .MDB connectivity) and Microsoft OLE DB Provider for ODBC Drivers (for .XLS connectivity). For more information, see Substituting SQL Server for OLE DB in the Driver and Peripheral Guide.

Drawing File Format Compatibility

The native drawing file format for AutoCAD 2010 is not compatible with previous releases. AutoCAD 2010 can open drawing file formats from previous releases; however, in order to open AutoCAD 2010 files in previous releases you will need to use the SAVEAS command and save it to the appropriate format. The following table illustrates which drawing file formats to use when saving to a previous release.

Drawing File Format Applicable Releases
AutoCAD 2007
  • AutoCAD 2007
  • AutoCAD 2008
  • AutoCAD 2009
AutoCAD 2004
  • AutoCAD 2004
  • AutoCAD 2005
  • AutoCAD 2006
AutoCAD 2000
  • AutoCAD 2000
  • AutoCAD 2000i
  • AutoCAD 2002
AutoCAD 14
  • AutoCAD R14

API Compatibility

AutoCAD 2010 breaks binary compatibility with previous releases. Most applications will need to be recompiled and possibly changed to run correctly on AutoCAD 2010. For more information, see the ObjectARX Migration Guide.

Plot Styles Folder is Installed Inside the Plotters Folder

The path for the Plot Styles folder has been moved from a sibling level of the Plotters folder to a subdirectory in the Plotters folder.


Graphics Card Driver Update

General Information
AutoCAD 2010 Readme
Draw and Edit
AutoCAD 2010 Readme >
Graphics Card Driver Update
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

You should verify and update your graphics card driver to optimize AutoCAD 2010. Use the following procedure to identify your current graphics card driver.

To identify your graphics card driver

  1. Start AutoCAD 2010.
  2. At the Command prompt, enter 3dconfig.
  3. In the Adaptive Degradation and Performance Tuning dialog box, click View Tune Log.
  4. Review the 3D Device section for information about your system's graphics card driver and driver version.

If you find that you do need to update your driver, visit http://www.autodesk.com/autocad-graphicscard to find a certified driver for your graphics card. If you do not find one, visit the graphics card manufacturer's website.

NoteIf the graphics card manufacturer does not have an updated driver, check the system manufacturer's website. Companies such as IBM, Hewlett Packard, and Dell often supply their own system drivers.


Draw and Edit

Graphics Card Driver Update
AutoCAD 2010 Readme
User Interface
AutoCAD 2010 Readme >
Draw and Edit
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Block Properties Table

In the Block Properties table, you cannot enter a combination of decimals and fractions. All numerical values must be either decimals or fractions.

Autoconstrained Polylines

Autoconstraining a polyline that has many points may reduce performance and cause AutoCAD to stop working.

Dimensional Constraints Change in Previous AutoCAD Version

Dimensional constraints do not behave as associative dimensions when opened in prior versions of AutoCAD. To reassociate dimensions, use the DIMREASSOCIATE command.

Rotating Horizontally or Vertically Constrained Geometry

Rotating horizontally or vertically constrained geometry may give unpredictable results.


User Interface

Draw and Edit
AutoCAD 2010 Readme
Command and System Variable History
AutoCAD 2010 Readme >
User Interface
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Display AutoCAD as in Previous Releases

AutoCAD 2010 introduces a new look and user interface that changes the way you access commands. To display AutoCAD 2010 as it was in previous releases, do the following:

  1. On the status bar, click Workspace Switching.
  2. From the list of workspaces, select AutoCAD Classic.

Use Workspaces to Switch AutoCAD Interfaces

Workspaces are sets of menus, toolbars, palettes, and ribbon panels that are grouped and organized to create a task-oriented drawing environment. In addition to AutoCAD Classic, the following task-based workspaces are available in AutoCAD 2010:

2D Drafting & Annotation

Displays tools specific to 2D drafting. Displays the new interface, including the ribbon and application menu.

3D Modeling

Displays tools specific to 3D modeling. Displays the new interface, including the ribbon, application menu, and Tool Palettes window.

To switch between available workspaces, do one of the following:

  • On the status bar, click Workspace Switching and select the desired workspace.
  • On the Workspaces toolbar, in the Workspaces drop-down list, select the desired workspace.

DesignCenter Online

DesignCenter Online (DC Online tab) is disabled by default in US English. You can enable it from the CAD Manager Control utility.

Constraint Bar Display

When the CONSTRAINTBAR system variable is set to Showall, constraint bars will always be displayed, even if the CONSTRAINTBARDISPLAY system variable is set to 0.


Command and System Variable History

User Interface
AutoCAD 2010 Readme
System Requirements
AutoCAD 2010 Readme >
Command and System Variable History
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Where to Learn About AutoCAD 2010

Use the following resources to find more information about AutoCAD 2010:

  • New Features Workshop (Help menu)
  • Help system (Help menu)
  • Developer Help (Help menu > Additional Resources)
  • Autodesk User Group International (AUGI) (Help menu > Additional Resources)
  • Autodesk website at http://www.autodesk.com
  • Learning Resources Page at http://www.autodesk.com/autocad-learningpath
  • Tutorials at http://www.autodesk.com/autocad-tutorials
  • Cue Cards at http://usa.autodesk.com/adsk/servlet/item?siteID=123112&id=11527343&linkID=9240615

New Commands

3DPRINT

Sends a 3D model to a 3D printing service.

3DSCALE

In a 3D view, displays the 3D Scale gizmo to aid in resizing 3D objects.

ACTBASEPOINT

Inserts a base point in an action macro.

ACTMANAGER

Manages action macro files.

ADJUST
ATTACH

Inserts an external reference, image, or underlay (DWF, DWFx, PDF, or DGN files) in the current drawing.

AUTOCONSTRAIN

Applies geometric constraints to a selection set of objects based on orientation of the objects relative to one another.

BACTIONBAR

Displays or hides action bars for a selection set of parameter objects.

BCONSTRUCTION

Converts geometry into construction geometry.

BCPARAMETER

Applies constraint parameters to selected objects, or converts dimensional constraints to parameter constraints.

BESETTINGS

Displays the Block Editor Settings dialog box.

BTABLE

Displays a dialog box to define variations of a block.

BTESTBLOCK

Displays a window within the Block Editor to test a dynamic block.

CLIP

Crops a selected external reference, image, viewport, or underlay (DWF, DWFx, PDF, or DGN) to a specified boundary.

CONSTRAINTBAR

A toolbar-like UI element that displays the available geometric constraints on an object.

CONSTRAINTSETTINGS

Controls the display of geometric constraints on constraint bars.

DELCONSTRAINT

Removes all geometric and dimensional constraints from a selection set of objects.

DIMCONSTRAINT

Applies dimensional constraints to selected objects or points on objects.

EXPORTDWF

Creates a DWF file and allows you to set individual page setup overrides on a sheet by sheet basis.

EXPORTDWFX

Creates a DWFx file where you can set individual page setup overrides on a sheet-by-sheet basis.

EXPORTPDF

Creates a PDF filewhere you can set individual page setup overrides on a sheet-by-sheet basis.

GEOMCONSTRAINT

Applies or persists geometric relationships between objects or points on objects.

MEASUREGEOM

Measures the distance, radius, angle, area, and volume of selected objects or sequence of points.

MESH

Creates a 3D mesh primitive object such as a box, cone, cylinder, pyramid, sphere, wedge, or torus.

MESHCREASE

Sharpens the edges of selected mesh subobjects.

MESHOPTIONS

Displays the Mesh Tessellation Options dialog box, which controls default settings for converting existing objects to mesh objects.

MESHPRIMITIVEOPTIONS

Displays the Mesh Primitive Options dialog box, which sets the tessellation defaults for primitive mesh objects.

MESHREFINE

Multiplies the number of faces in selected mesh objects or faces.

MESHSMOOTHLESS

Decreases the level of smoothness for mesh objects by one level.

MESHSMOOTHMORE

Increases the level of smoothness for mesh objects by one level.

MESHSPLIT

Splits a mesh face into two faces.

MESHUNCREASE

Removes the crease from selected mesh faces, edges, or vertices.

PARAMETERS

Controls the associative parameters used in the drawing.

PARAMETERSCLOSE

Closes the Parameters Manager palette.

PDFADJUST

Adjust the fade, contrast, and monochrome settings of a PDF underlay.

PDFATTACH

Insert a PDF file as an underlay into the current drawing.

PDFCLIP

Crops the display of a selected PDF underlay to a specified boundary.

PDFLAYERS

Controls the display of layers in a PDF underlay.

-QUICKPUB

Creates a DWF, DWFx, or PDF file and allows you to set individual page setup overrides on a sheet by sheet basis.

REVERSE

Reverses the order of vertices of the selected lines, polylines, splines, and helixes.

SECTIONPLANEJOG

Adds a jogged segment to a section object.

SECTIONPLANESETTINGS

Sets display options for the selected section plane.

SECTIONPLANETOBLOCK

Saves selected section planes as 2D or 3D blocks.

SEEK

Opens a web browser and displays the Autodesk Seek home page.

SHAREWITHSEEK

Uploads blocks or drawings to the Autodesk Seek website.

TEXTEDIT

Edits a dimensional constraint, dimension, or text object.

ULAYERS

Controls the display of layers in a DWF, DWFx, PDF, or DGN underlay.

Changed Commands

3DMOVE

In a 3D view, displays the 3D Move gizmo to aid in moving 3D objects a specified distance in a specified direction.

3DROTATE

In a 3D view, displays the 3D Rotate gizmo to aid in revolving 3D objects around a base point.

ADCENTER

Manages and inserts content such as blocks, xrefs, and hatch patterns.

ALIGN

Aligns objects with other objects in 2D and 3D.

ARCHIVE

Packages the current sheet set files for archive.

-ARCHIVE

Packages the current sheet set files for archive.

ATTSYNC

Updates block references with new and changed attributes from a specified block definition.

AUTOPUBLISH

Publishes drawings to DWF, DWFx, or PDF files automatically to a specified location.

BATTMAN

Manages the attributes for a selected block definition.

CHAMFER

Bevels the edges of objects.

COLOR

Sets the color for new objects.

CONVTOSOLID

Converts 3D meshes and polylines and circles with thickness to 3D solids.

CONVTOSURFACE

Converts objects to 3D surfaces.

CUIEXPORT

Exports customized settings from the main CUIx file to an enterprise or partial CUIx file.

CUIIMPORT

Imports customized settings from an enterprise or partial CUIx file to the main CUIx file.

CUILOAD

Loads a CUIx file.

CUIUNLOAD

Unloads a CUIx file.

DGNADJUST

Adjust the fade, contrast, and monochrome settings of a DGN underlay.

-DGNADJUST

Adjust the fade, contrast, and monochrome settings of a DGN underlay.

DWFATTACH

Insert a DWF or DWFx file as an underlay into the current drawing.

DWFFORMAT

Sets the default format to DFW or DWFx for the PUBLISH, 3DDWF, EXPORT, EXPORTDWF, AND EXPORTDWFX commands.

EATTEDIT

Edits attributes in a block reference.

EDGESURF

Creates a mesh between four contiguous edges or curves.

ETRANSMIT

Packages a set of files for Internet transmission.

-ETRANSMIT

Packages a set of files for Internet transmission.

EXPLODE

Breaks a compound object into its component objects.

EXTERNALREFERENCES

Opens the External References palette.

EXTRUDE

Extends the dimensions of a 2D object or 3D face into 3D space.

FILLET

Rounds and fillets the edges of objects.

FLATSHOT

Creates a 2D representation of all 3D objects based on the current view.

IMAGEFRAME

Controls whether image frames are displayed and plotted.

IMPRINT

Imprints 2D geometry on a 3D solid or surface, creating additional edges on planar faces.

INTERFERE

Creates a temporary 3D solid from the interferences between two sets of selected 3D solids.

-INTERFERE

Creates a temporary 3D solid from the interferences between two sets of selected 3D solids.

INTERSECT

Creates a 3D solid, surface, or 2D region from overlapping solids, surfaces, or regions.

LIST

Displays property data for selected objects.

MARKUP

Opens the Markup Set Manager.

NAVSWHEEL

Displays a wheel that contains a collection of view navigation tools.

NAVVCUBE

Controls the visibility and display properties of the ViewCube tool.

OPEN

Opens an existing drawing file.

OPENDWFMARKUP

Opens a DWF or DWFx file that contains markups.

OPTIONS

Customizes the program settings.

PRESSPULL

Presses or pulls bounded areas.

PUBLISH

Publishes drawings to DWF, DWFx, and PDF files, or to plotters.

-PUBLISH

Publishes drawings to DWF, DWFx, and PDF files, or to plotters.

PURGE

Removes unused items, such as block definitions and layers, from the drawing.

QSAVE

Saves the current drawing using the file format specified in the Options dialog box.

REFCLOSE

Saves back or discards changes made during in-place editing of a reference (an xref or a block).

REFEDIT

Edits a block or an xref directly within the current drawing.

REFSET

Adds or removes objects from a working set during in-place editing of a reference (an xref or a block).

REVSURF

Creates a mesh by revolving a profile about an axis.

RULESURF

Creates a mesh that represents the surface between two lines or curves.

SAVE

Saves the drawing under the current file name or a specified name.

SAVEAS

Saves a copy of the current drawing under a new file name.

SECTION

Uses the intersection of a plane and solids, surfaces, or mesh to create a region.

SECTIONPLANE

Creates a section object that acts as a cutting plane through 3D objects.

SLICE

Creates new 3D solids and surfaces by slicing, or dividing, existing objects.

SOLIDEDIT

Edits faces and edges of 3D solid objects.

STLOUT

Stores solids in an ASCII or binary file.

SUBTRACT

Combines selected 3D solids, surfaces, or 2D regions by subtraction.

TABSURF

Creates a mesh from a line or curve that is swept along a straight path.

THICKEN

Converts a surface into a 3D solid with a specified thickness.

TRANSPARENCY

Controls whether background pixels in an image are transparent or opaque.

UNION

Combines selected 3D solids, surfaces, or 2D regions by addition.

XCLIP

Crops the display of a selected external reference or block reference to a specified boundary.

XEDGES

Creates wireframe geometry from the edges of a 3D solid, surface, mesh, region, or subobject.

XOPEN

Opens a selected drawing reference (xref) in a new window.

New System Variables

AUTOPUBFORMAT

Controls whether electronic files (DWF/PDF) are created automatically when you save or close drawing (DWG) files.

BACTIONBARMODE

Indicates whether the action bars or the legacy action objects are displayed in the Block Editor.

BCONSTATUSMODE

Turns the constraint display status on and off and controls the shading of objects based on their constraint level.

BLOCKTESTWINDOW

Indicates whether or not a test block window is current.

BPTEXTHORIZONTAL

Forces the text displayed for action parametes and constraint parameters in the Block Editor to be horizontal.

CCONSTRAINTFORM

Controls whether annotational or dynamic constraints are applied to objects.

CONSTRAINTBARDISPLAY

Displays constraint bars for objects after you manually apply a constraint or autoconstrain them.

CONSTRAINTBARMODE

Controls the display of geometrical constraints on constraint bars.

CONSTRAINTNAMEFORMAT

Controls the text format for dimensional constraints.

CONSTRAINTRELAX

Indicates whether constraints are enforced or relaxed when editing an object.

CONSTRAINTSOLVEMODE

Controls constraint behavior when applying or editing constraints.

DEFAULTGIZMO

Sets the 3D Move, 3D Rotate, or 3D Scale gizmo as the default during subobject selection.

DIMCONSTRAINTICON

Displays the lock icon next to the text for dimensional constraints.

DIMTXTDIRECTION

Specifies the reading direction of the dimension text.

DIVMESHBOXHEIGHT

Sets the number of subdivisions for the height of a mesh box along the Z axis.

DIVMESHBOXLENGTH

Sets the number of subdivisions for the length of a mesh box along the X axis.

DIVMESHBOXWIDTH

Sets the number of subdivisions for the width of a mesh box along the Y axis.

DIVMESHCONEAXIS

Sets the number of subdivisions around the perimeter of the mesh cone base.

DIVMESHCONEBASE

Sets the number of subdivisions between the perimeter and the center point of the mesh cone base.

DIVMESHCONEHEIGHT

Sets the number of subdivisions between the base and the point or top of the mesh cone.

DIVMESHCYLAXIS

Sets the number of subdivisions around the perimeter of the mesh cylinder base.

DIVMESHCYLBASE

Sets the number of subdivisions around the perimeter of the mesh cylinder base.

DIVMESHCYLHEIGHT

Sets the number of subdivisions between the base and the top of the mesh cylinder.

DIVMESHPYRBASE

Sets the number of radial subdivisions between the center of the mesh pyramid base and its perimeter.

DIVMESHPYRHEIGHT

Sets the number of subdivisions between the base and the top of the mesh pyramid.

DIVMESHPYRLENGTH

Sets the number of subdivisions along each dimension of a mesh pyramid base.

DIVMESHSPHEREAXIS

Sets the number of radial subdivisions around the axis endpoint of the mesh sphere.

DIVMESHSPHEREHEIGHT

Sets the number of subdivisions between the two axis endpoints of the mesh sphere.

DIVMESHTORUSPATH

Sets the number of subdivisions in the path that is swept by the profile of a mesh torus.

DIVMESHTORUSECTION

Sets the number of subdivisions in the profile that sweeps the path of a mesh torus.

DIVMESHWEDGEBASE

Sets the number of subdivisions between the midpoint of the perimeter of triangular dimension of the mesh wedge.

DIVMESHWEDGEHEIGHT

Sets the number of subdivisions for the height of the mesh wedge along the Z axis.

DIVMESHWEDGELENGTH

Sets the number of subdivisions for the length of a mesh wedge along the X axis.

DIVMESHWEDGESLOPE

Sets the number of subdivisions in the slope that extends from the apex of the wedge to the edge of the base.

DIVMESHWEDGEWIDTH

Sets the number of subdivisions for the width of the mesh wedge along the Y axis.

DYNCONSTRAINTDISPLAY

Displays or hides dynamic constraints.

FACETERDEVNORMAL

Sets the maximum angle between the surface normal and contiguous mesh faces.

FACTERDEVSURFACE

Sets how closely the converted mesh object adheres to the original shape of the solid or surface.

FACTERGRIDRATIO

Sets the maximum aspect ratio for the mesh subdivisions that are created for solids and surfaces converted to mesh.

FACTERMAXEDGELENGTH

Sets the maximum length of edges for mesh objects that are created by conversion from solids and surfaces.

FACTERMAXGRID

Sets the maximum number of U and V grid lines for solids and surfaces converted to mesh.

FACTERMESHTYPE

Sets the type of mesh to be created.

FACTERMINUGRID

Sets the minimum number of U grid lines for solids and surfaces that are converted to mesh.

FACTERMINVGRID

Sets the minimum number of V grid lines for solids and surfaces that are converted to mesh.

FACTERPRIMITIVEMODE

Specifies whether smoothness settings for objects that are converted to mesh are derived from the Mesh Tessellation Options or the Mesh Primitive Options dialog box.

FACTERSMOOTHLEV

Sets the default level of smoothness for objects that are converted to mesh.

FRAME

Turns the display of frames on and off for all external references, images, and DWF, DWFx, PDF, and DGN underlays.

GRIPSUBOBJMODE

Sets whether edge, face, or vertex grips are active upon initial selection.

LARGEOBJECTSUPPORT

Controls large object size limit support when you open and save drawings.

MESHTYPE

Controls the type of mesh that is created by REVSURF, TABSURF, RULESURF and EDGESURF.

MTEXTCOLUMN

Sets the default column setting for an mtext object.

PARAMETERCOPYMODE

Controls how constraints and referenced variables are copied when replicating constrained geometry.

PARAMETERSSTATUS

Indicates whether the Parameters Manager palette is displayed or hidden.

PDFFRAME

Determines whether the PDF underlay frame is visible.

PDFOSNAP

Determines whether object snapping is active for geometry in PDF underlays that are attached to the drawing.

RIBBONCONTEXTSELECT

Controls how ribbon contextual tabs are displayed when you single- or double-click an object.

RIBBONCONTEXTSELLIM

Suppresses the display of ribbon contextual tabs when the selection set includes more than the specified number of objects.

RIBBONSELECTMODE

Determines whether a pickfirst selection set remains selected after a ribbon contextual tab is invoked and the command is completed.

SMOOTHMESHCONVERT

Sets whether mesh objects that you convert to 3D solids or surfaces are smoothed or faceted, and whether their faces are merged.

SMOOTHMESHGRID

Sets the maximum level of smoothness at which the underlying mesh facet grid is displayed on 3D mesh objects.

SMOOTHMESHMAXFACE

Sets the maximum number of faces permitted for mesh objects.

SMOOTHMESHMAXLEV

Sets the maximum smoothness level for mesh objects.

SUBOBJSELECTIONMODE

Filters whether a face, edge, or vertex is selected with Ctrl+click.

UOSNAP

Determines whether object snapping is active for geometry in DWF, DWFx, PDF, and DGN underlays that are attached to the drawing.

VPROTATEASSOC

Controls whether the view within a viewport is rotated with the viewport when the viewport is rotated.

XDWGFADECTL

Controls the dimming for all DWG xref objects.

Changed System Variables

DBLCLKEDIT

Controls the double click editing behavior in the drawing area.

DELOBJ

Controls whether geometry used to create 3D objects is retained or deleted.

DIMTAD

Controls the vertical position of text in relation to the dimension line.

ENTERPRISEMENU

Stores the enterprise customization file name (if defined), including the path for the file name.

IMAGEFRAME

Controls whether image frames are displayed and plotted.

ISOLINES

Specifies the number of contour lines per surface on objects.

MBUTTONPAN

Controls the behavior of the third button or wheel on the pointing device.

MENUNAME

Stores the customization file name, including the path for the file name.

NAVVCUBESIZE

Specifies the size of the ViewCube tool.

PUBLISHALLSHEETS

Specifies whether to load the contents of the active document or of all open documents in the Publish dialog box.

REFEDITNAME

Displays the name of the reference being edited.

XFADECTL

Controls the fading intensity percentage for references being edited in-place.

XREFNOTIFY

Controls the notification for updated or missing xrefs.


System Requirements

Command and System Variable History
AutoCAD 2010 Readme
Product Removal
AutoCAD 2010 Readme >
System Requirements
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Before you install AutoCAD 2010, make sure that your computer meets the minimum hardware and software requirements.

Whether your Windows operating system is the 32-bit or 64-bit version is automatically detected when installing AutoCAD 2010. The appropriate version of AutoCAD 2010 will be installed. The 32-bit version of AutoCAD 2010 cannot be installed on a 64-bit version of Windows.

See the following tables for hardware and software requirements.

Hardware and software requirements
Hardware/Software Requirement Notes

Operating system

32-bit

  • Microsoft® Windows® Vista® Business SP1
  • Microsoft Windows Vista Enterprise SP1
  • Microsoft Windows Vista Home Premium SP1
  • Microsoft Windows Vista Ultimate SP1
  • Microsoft Windows XP Home SP2 or later
  • Microsoft Windows XP Professional SP2 or later

64-bit

  • Microsoft Windows Vista Business SP1
  • Microsoft Windows Vista Enterprise SP1
  • Microsoft Windows Vista Home Premium SP1
  • Microsoft Windows Vista Ultimate SP1
  • Microsoft Windows XP Professional x64 Edition SP2 or later

For more information on Windows Vista versions, see http://www.microsoft.com/windowsvista/versions

It is recommended that non-English language versions of AutoCAD 2010 be installed on an operating system with a user interface language that matches the code page of the AutoCAD 2010 language. A code page provides support for character sets used in different languages.

Web browser

Microsoft Internet Explorer® 7.0 or later
Processor

32-bit

Windows XP

Intel Pentium 4 or AMD Athlon™ Dual Core, 1.6 GHz or higher with SSE2 technology

Windows Vista

Intel Pentium 4 or AMD Athlon Dual Core, 3.0 GHz or higher with SSE2 technology

64-bit

AMD Athlon 64 with SSE2 technology

AMD Opteron™ with SSE2 technology

Intel Xeon with Intel EM64T support & SSE2 technology

Intel Pentium 4 with Intel EM64T support & SSE2 technology
Memory

2 GB RAM

Display resolution

1024 x 768 with True Color

  • Requires a Windows-supported display adapter.
  • For graphic cards that support Hardware Acceleration, DirectX 9.0c or later must be installed.
  • Installing from the ACAD.msi file does not install DirectX 9.0c or later. You must manually install DirectX to configure Hardware Acceleration.
Hard Disk

32-bit

1 GB for installation

64-bit

1.5 GB for installation

Pointing device

MS-Mouse Compliant

DVD/CD-ROM

Download and Installation from DVD or CD-ROM

3D Modeling additional requirements

Intel Pentium 4 or AMD Athlon processor 3.0 GHz or greater, or Intel or AMD Dual Core processor 2.0 GHz or greater

2 GB RAM or greater

2 GB free hard disk available not including installation

1280 x 1024 32-bit color video display adapter (true color) 128 MB or greater, Direct3D® capable workstation class graphics card

Additional recommendations for 3D use
Hardware/Software Requirement Notes
Operating system

32-bit

Microsoft Windows Vista Enterprise

Microsoft Windows Vista Business

Microsoft Windows Vista Ultimate

Microsoft Windows Vista Home Premium

Microsoft Windows XP Professional Edition (SP2)

Microsoft Windows XP Home Edition (SP2)

64-bit

Microsoft Windows Vista Enterprise

Microsoft Windows Vista Business

Microsoft Windows Vista Ultimate

Microsoft Windows Vista Home Premium

Microsoft Windows XP Professional Edition (SP2)

It is recommended that non-English language versions of AutoCAD 2010 be installed on an operating system with a user interface language that matches the code page of the AutoCAD 2010 language. A code page provides support for character sets used in different languages.

Whether the Microsoft Windows operating system is the 32-bit or the 64-bit version is automatically detected when installing AutoCAD 2010. The appropriate version of AutoCAD 2010 will be installed. The 32-bit version of AutoCAD 2010 cannot be installed on a 64-bit version of Microsoft Windows.

Processor

Intel Pentium 4 processor or AMD Athlon, 2.2 GHz or greater

or

AMD Dual Core processor, 1.6 GHz or greater

RAM

2 GB (or greater)

Graphics card

1280 x 1024 32-bit color video display adapter (True Color) 128 MB or greater, OpenGL, or Direct3D capable workstation class graphics card.

For Microsoft Windows Vista, a Direct3D capable workstation class graphics card with 128 MB or greater is required 1024 x 768 VGA with True Color (minimum)

  • Requires a Windows-supported display adapter.
  • For graphic cards that support Hardware Acceleration, DirectX 9.0c or later must be installed.
  • Installing from the ACAD.msi file does not install DirectX 9.0c or later. You must manually install DirectX to configure Hardware Acceleration.

For more information about tested and certified graphics cards, visit http://www.autodesk.com/autocad-graphicscard

Hard disk

2 GB (in addition to the 1GB or above required for installation)

NoteAdobe Flash Player is no longer installed by default. If a suitable version of Flash is not currently installed on your system, a message requests that you download it from Adobe’s website. If you do not have Internet access, you can also access the Flash installer on the AutoCAD 2010 product media.


Product Removal

System Requirements
AutoCAD 2010 Readme
Trademarks
AutoCAD 2010 Readme >
Product Removal
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

To Uninstall AutoCAD 2010 [Windows XP]

  1. On the Start menu (Windows), click Settings [image] Control Panel [image] Add or Remove Programs.
  2. Select AutoCAD 2010. Click Change/Remove.
  3. On the Installation wizard Maintenance Mode page, click Uninstall.
  4. On the Uninstall AutoCAD 2010 page, click Next.
  5. Click Finish.

To Uninstall AutoCAD 2010 [Windows Vista]

  1. On the Start menu (Windows), click Settings [image] Control Panel [image] Uninstall a Program.
  2. Select AutoCAD 2010. Click Uninstall/Change.

    If the User Account Control dialog box is displayed, click Continue.

  3. On the Installation wizard Maintenance Mode page, click Uninstall.
  4. On the Uninstall AutoCAD 2010 page, click Next.
  5. Click Finish.


Trademarks

Product Removal
AutoCAD 2010 Readme
AutoCAD 2010 Readme >
Trademarks
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

© 2009 Autodesk, Inc. All Rights Reserved. Except as otherwise permitted by Autodesk, Inc., this publication, or parts thereof, may not be reproduced in any form, by any method, for any purpose.

Certain materials included in this publication are reprinted with the permission of the copyright holder.

Trademarks

The following are registered trademarks or trademarks of Autodesk, Inc., in the USA and other countries: 3DEC (design/logo), 3December, 3December.com, 3ds Max, ADI, Alias, Alias (swirl design/logo), AliasStudio, Alias|Wavefront (design/logo), ATC, AUGI, AutoCAD, AutoCAD Learning Assistance, AutoCAD LT, AutoCAD Simulator, AutoCAD SQL Extension, AutoCAD SQL Interface, Autodesk, Autodesk Envision, Autodesk Insight, Autodesk Intent, Autodesk Inventor, Autodesk Map, Autodesk MapGuide, Autodesk Streamline, AutoLISP, AutoSnap, AutoSketch, AutoTrack, Backdraft, Built with ObjectARX (logo), Burn, Buzzsaw, CAiCE, Can You Imagine, Character Studio, Cinestream, Civil 3D, Cleaner, Cleaner Central, ClearScale, Colour Warper, Combustion, Communication Specification, Constructware, Content Explorer, Create>what's>Next> (design/logo), Dancing Baby (image), DesignCenter, Design Doctor, Designer's Toolkit, DesignKids, DesignProf, DesignServer, DesignStudio, Design|Studio (design/logo), Design Web Format, Discreet, DWF, DWG, DWG (logo), DWG Extreme, DWG TrueConvert, DWG TrueView, DXF, Ecotect, Exposure, Extending the Design Team, Face Robot, FBX, Filmbox, Fire, Flame, Flint, FMDesktop, Freewheel, Frost, GDX Driver, Gmax, Green Building Studio, Heads-up Design, Heidi, HumanIK, IDEA Server, i-drop, ImageModeler, iMOUT, Incinerator, Inferno, Inventor, Inventor LT, Kaydara, Kaydara (design/logo), Kynapse, Kynogon, LandXplorer, LocationLogic, Lustre, Matchmover, Maya, Mechanical Desktop, Moonbox, MotionBuilder, Movimento, Mudbox, NavisWorks, ObjectARX, ObjectDBX, Open Reality, Opticore, Opticore Opus, PolarSnap, PortfolioWall, Powered with Autodesk Technology, Productstream, ProjectPoint, ProMaterials, RasterDWG, Reactor, RealDWG, Real-time Roto, REALVIZ, Recognize, Render Queue, Retimer,Reveal, Revit, Showcase, ShowMotion, SketchBook, Smoke, Softimage, Softimage|XSI (design/logo), SteeringWheels, Stitcher, Stone, StudioTools, Topobase, Toxik, TrustedDWG, ViewCube, Visual, Visual Construction, Visual Drainage, Visual Landscape, Visual Survey, Visual Toolbox, Visual LISP, Voice Reality, Volo, Vtour, Wire, Wiretap, WiretapCentral, XSI, and XSI (design/logo).

The following are registered trademarks or trademarks of Autodesk Canada Co. in the USA and/or Canada and other countries: Backburner,Multi-Master Editing, River, and Sparks.

The following are registered trademarks or trademarks of MoldflowCorp. in the USA and/or other countries: Moldflow, MPA, MPA (design/logo),Moldflow Plastics Advisers, MPI, MPI (design/logo), Moldflow Plastics Insight,MPX, MPX (design/logo), Moldflow Plastics Xpert.

All other brand names, product names or trademarks belong to their respective holders.

Disclaimer

THIS PUBLICATION AND THE INFORMATION CONTAINED HEREIN IS MADE AVAILABLE BY AUTODESK, INC. "AS IS." AUTODESK, INC. DISCLAIMS ALL WARRANTIES, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO ANY IMPLIED WARRANTIES OF MERCHANTABILITY OR FITNESS FOR A PARTICULAR PURPOSE REGARDING THESE MATERIALS.

Published by:

Autodesk, Inc.

111 Mclnnis Parkway

San Rafael, CA 94903, USA


Comments?

Using this form sends your comments to the Autodesk Technical Publications group responsible for this documentation.

Topic title and location (do not edit):
Name (optional):
         Email (optional):
Comments:

Note: This form is not intended as a way for you to receive feedback or technical support. The information you provide will be used to enhance future updates to the documentation. Thanks!